## org.apache.batik.css.engine.value.svg
Class ClipPathManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.svg.ClipPathManager

All Implemented Interfaces:
  ValueManager

    public class ClipPathManager

extends AbstractValueManager

This class provides a manager for the 'clip-path' property values.

Constructor Summary
`ClipPathManager()`

Method Summary
`Value` `createStringValue(short type, java.lang.String value, CSSEngine engine)` Implements `ValueManager.createStringValue(short,String,CSSEngine)`.
`Value` `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`Value` `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`java.lang.String` `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`int` `getPropertyType()` Implements `ValueManager.getPropertyType()`.
`boolean` `isAdditiveProperty()` Implements `ValueManager.isAdditiveProperty()`.
`boolean` `isAnimatableProperty()` Implements `ValueManager.isAnimatableProperty()`.
`boolean` `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClipPathManager

    public ClipPathManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### isAnimatableProperty

    public boolean isAnimatableProperty()

  Implements `ValueManager.isAnimatableProperty()`.

### isAdditiveProperty

    public boolean isAdditiveProperty()

  Implements `ValueManager.isAdditiveProperty()`.

### getPropertyType

    public int getPropertyType()

  Implements `ValueManager.getPropertyType()`.

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

### createValue

    public Value createValue(org.w3c.css.sac.LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### createStringValue

    public Value createStringValue(short type,
                                   java.lang.String value,
                                   CSSEngine engine)
                            throws org.w3c.dom.DOMException

  Implements `ValueManager.createStringValue(short,String,CSSEngine)`.

  Specified by:
    `createStringValue` in interface `ValueManager`
  Overrides:
    `createStringValue` in class `AbstractValueManager`
  Parameters:
    `type` - A string code as defined in CSSPrimitiveValue. The string code can only be a string unit type.
    `value` - The new string value.
    `engine` - The CSS engine.
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.